summaryrefslogtreecommitdiff
path: root/dev-python/jedi
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/jedi
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/jedi')
-rw-r--r--dev-python/jedi/Manifest7
-rw-r--r--dev-python/jedi/files/jedi-0.17.0-tests.patch26
-rw-r--r--dev-python/jedi/jedi-0.14.1.ebuild61
-rw-r--r--dev-python/jedi/jedi-0.15.2.ebuild70
-rw-r--r--dev-python/jedi/jedi-0.17.0.ebuild76
-rw-r--r--dev-python/jedi/jedi-0.17.1.ebuild70
-rw-r--r--dev-python/jedi/metadata.xml14
7 files changed, 324 insertions, 0 deletions
diff --git a/dev-python/jedi/Manifest b/dev-python/jedi/Manifest
new file mode 100644
index 000000000000..835746b0407f
--- /dev/null
+++ b/dev-python/jedi/Manifest
@@ -0,0 +1,7 @@
+DIST django-stubs-1.5.0.tar.gz 180400 BLAKE2B 0619a76f89fe4fad456a82e3048009f25fdfd8b8e3071fd5a0cc0eebd62b3e9e8b77d29c5e4e8d1e0297fc466cc7e0c49771750b609fff49516e2aa1499c198b SHA512 c3e89f02a22561b5446e1cc0f01be791767984b5791fe5bd362ec6128e2ba7b32e921f9ee719a80ace05f7f0c84a912731700b457761f64617c1415cd232c7da
+DIST jedi-0.14.1.tar.gz 860206 BLAKE2B d1234ceb417f531c5a29908843a47bec5b198abbc848248517f2796d95319e2d930f7c01af9759cb9a3d44a28fb73c4080802642aea1be32f16689e76c1a49ce SHA512 d68c350259921792788917440c9dd6eb923c90eb1b8d0e078a6d428fad852c4d6bbdc74d8caa88ba5a87db344e4b372dc9cfc959d7bab922888d70402fcf4776
+DIST jedi-0.15.2.tar.gz 422520 BLAKE2B f382e4026e1d0388c03b5116ea49fe4abf117c1555ccf0159541557e8d0d344774e15b983fbc66f996f60ae38552bb3b89f3f9cc809ab57f511a01664612f08f SHA512 079d9fc104125d188c72cfc0bd0ccd4de88eb5e7cdfba86e44f840e2427d0ab114bb812dad8e814e502e773d3a59f166547f5f6f287a5eedae64af99e8b5616e
+DIST jedi-0.17.0.tar.gz 462810 BLAKE2B 71eeb3e3fa23786c577fbcb3727a49111d6188c2a5d9e13538123c7c6817b67d457f3bb88423dc9dac6ee09dec89d7281c86166bc771fa0215cd327a4432ebd7 SHA512 562ae25f0c4709cfe36fe4e737d383190d8ad435b3ff580b9fbe966544c8d035cfa29815459ceecfafd704547560a8dc397f841989043e6e18c8f9d639f75399
+DIST jedi-0.17.1.tar.gz 472489 BLAKE2B 7486925cb307f6a25538c2f5d52763802222561cfc4beca1637e433f4450b06ef328204e75779b6b2ac4ca2cfcf5ab647daecd329941ca6fb0ae2a5dd2bd8b5f SHA512 0a9d552d2b4c45730c9cccf06ebb434b159b755acea0dbaddf5f628dccf8e9c752e03d151258e377b817f1a25fb9ca8e0289dbd2da290f55dc719883413b65cf
+DIST typeshed-jedi_v0.15.0.tar.gz 466890 BLAKE2B 7c4956c60646ecb7f21704e3ce95cd38a44e40849e4efba352a0be11c4511fc28d77f32308a3f136cd72833f937f802194ae57f1cdf1d53ae7824ebe4f4bc323 SHA512 46250822eb4aa20203db9b99626e33f2b60ec77072e20dbd94219d782cf204e2cc5a94579b1753c634f931445ad4ef9f0bd7ccfed287d86bca96b945d2eb27c1
+DIST typeshed-jedi_v0.16.0.tar.gz 497407 BLAKE2B d322d70d3c46d1abcedddbd10aed5c6f213698f4e9f9aec1b4bd7e7186ab7ce384ec6a95d6adc46c7459e3bbb748d6ff432115cae744a315aed60972d2390eee SHA512 1551082938b52717f90e28ffd25e838ab04798ea86ea719fa35975a9de006bcc063a00cc8c8babd994990cdff694d48490f4d8c898c322666450d7ef3be8688a
diff --git a/dev-python/jedi/files/jedi-0.17.0-tests.patch b/dev-python/jedi/files/jedi-0.17.0-tests.patch
new file mode 100644
index 000000000000..d045340d0930
--- /dev/null
+++ b/dev-python/jedi/files/jedi-0.17.0-tests.patch
@@ -0,0 +1,26 @@
+From 57f2a731d2e5c4fe5794d823154983e44e8df003 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Wed, 15 Apr 2020 07:54:01 +0200
+Subject: [PATCH] Sort test_project::test_search results to fix failures
+
+Fixes #1542
+---
+ test/test_api/test_project.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/test/test_api/test_project.py b/test/test_api/test_project.py
+index a7d4846e..c21579a5 100644
+--- a/test/test_api/test_project.py
++++ b/test/test_api/test_project.py
+@@ -135,7 +135,7 @@ def test_search(string, full_names, kwargs, skip_pre_python36):
+ defs = project.complete_search(string, **kwargs)
+ else:
+ defs = project.search(string, **kwargs)
+- assert [('stub:' if d.is_stub() else '') + d.full_name for d in defs] == full_names
++ assert sorted([('stub:' if d.is_stub() else '') + d.full_name for d in defs]) == full_names
+
+
+ @pytest.mark.parametrize(
+--
+2.26.0
+
diff --git a/dev-python/jedi/jedi-0.14.1.ebuild b/dev-python/jedi/jedi-0.14.1.ebuild
new file mode 100644
index 000000000000..6f023f45fc8a
--- /dev/null
+++ b/dev-python/jedi/jedi-0.14.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="https://github.com/davidhalter/jedi"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 x86"
+
+RDEPEND="dev-python/parso[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ # speed tests are fragile
+ rm test/test_speed.py || die
+
+ # 'path' completion test does not account for 'path' being a valid
+ # package (i.e. dev-python/path-py)
+ # https://github.com/davidhalter/jedi/issues/1210
+ sed -i -e 's:test_get_modules_containing_name:_&:' \
+ test/test_evaluate/test_imports.py || die
+ sed -i -e 's:test_os_issues:_&:' \
+ test/test_evaluate/test_imports.py || die
+ sed -i -e 's:test_os_issues:_&:' \
+ test/test_api/test_full_name.py || die
+ sed -i -e 's:test_os_nowait:_&:' \
+ test/test_api/test_full_name.py || die
+ sed -i -e 's:test_os_nowait:_&:' \
+ test/test_api/test_completion.py || die
+ sed -i -e 's:test_import:_&:' \
+ test/test_utils.py || die
+
+ # don't run doctests, don't depend on colorama
+ sed -i "s:'docopt',:: ; s:'colorama',::" setup.py || die
+ sed -i "s: --doctest-modules::" pytest.ini || die
+
+ # no clue why it fails but we don't really care about .pyc files
+ # without sources anyway
+ rm test/test_evaluate/test_pyc.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ if [[ ${EPYTHON} = python3.6 ]]; then
+ # our very useful patching changes libdir for no good reason
+ sed -i -e 's:test_venv_and_pths:_&:' \
+ test/test_evaluate/test_sys_path.py || die
+ fi
+
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/jedi/jedi-0.15.2.ebuild b/dev-python/jedi/jedi-0.15.2.ebuild
new file mode 100644
index 000000000000..3cd8bc1d3369
--- /dev/null
+++ b/dev-python/jedi/jedi-0.15.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+TYPESHED_PV="$(ver_cut 1-2).0"
+TYPESHED_P="typeshed-jedi_v${TYPESHED_PV}"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="https://github.com/davidhalter/jedi"
+SRC_URI="https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz -> ${TYPESHED_P}.tar.gz"
+
+LICENSE="MIT
+ test? ( Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND=">=dev-python/parso-0.5.2[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # upstream includes this as a submodule ...
+ rmdir "${S}/jedi/third_party/typeshed" || die
+ mv "${WORKDIR}/${TYPESHED_P}" \
+ "${S}/jedi/third_party/typeshed" || die
+
+ # don't run doctests, don't depend on colorama
+ sed -i "s:'docopt',:: ; s:'colorama',::" setup.py || die
+ sed -i "s: --doctest-modules::" pytest.ini || die
+
+ # speed tests are fragile
+ rm test/test_speed.py || die
+
+ # Test <IntegrationTestCase: /var/tmp/portage/dev-python/jedi-0.15.2/work/jedi-0.15.2/test/completion/stdlib.py:194 ' c'> failed.
+ rm test/completion/stdlib.py || die
+
+ # Test <IntegrationTestCase: /var/tmp/portage/dev-python/jedi-0.15.2/work/jedi-0.15.2/test/completion/on_import.py:27 'import test'> failed.
+ rm test/completion/on_import.py || die
+
+ # ValueError: Should not happen. type: del_stmt
+ rm test/test_utils.py || die
+
+ # KeyError: ((), frozenset())
+ sed -i -e 's:test_os_nowait:_&:' test/test_api/test_completion.py || die
+ sed -i -e 's:test_os_issues:_&:' test/test_api/test_full_name.py || die
+
+ # AssertionError: assert 'staticmethod(f: Callable)' == 'staticmethod(f: Callable[..., Any])'
+ sed -i -e 's:test_staticmethod:_&:' test/test_api/test_signatures.py || die
+
+ # AssertionError: assert 'path' not in ['abc', 'aifc', 'aiocontextvars', 'aiohttp', 'aiohttp_cors', 'aiounittest', ...]
+ sed -i -e 's:test_os_issues:_&:' test/test_inference/test_imports.py || die
+
+ # ValueError: not enough values to unpack (expected 2, got 1)
+ sed -i -e 's:test_get_modules_containing_name:_&:' test/test_inference/test_docstring.py || die
+
+ # AssertionError
+ sed -i -e 's:test_venv_and_pths:_&:' test/test_inference/test_sys_path.py || die
+
+ # AssertionError
+ sed -i -e 's:test_get_typeshed_directories:_&:' test/test_inference/test_gradual/test_typeshed.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/jedi/jedi-0.17.0.ebuild b/dev-python/jedi/jedi-0.17.0.ebuild
new file mode 100644
index 000000000000..e8e830ee68ec
--- /dev/null
+++ b/dev-python/jedi/jedi-0.17.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+TYPESHED_PV="0.16.0"
+TYPESHED_P="typeshed-jedi_v${TYPESHED_PV}"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="https://github.com/davidhalter/jedi"
+SRC_URI="
+ https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+ https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz
+ -> ${TYPESHED_P}.tar.gz"
+
+LICENSE="MIT
+ test? ( Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND=">=dev-python/parso-0.5.2[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/jedi-0.17.0-tests.patch
+ )
+
+ # upstream includes this as a submodule ...
+ rmdir "${S}/jedi/third_party/typeshed" || die
+ mv "${WORKDIR}/${TYPESHED_P}" \
+ "${S}/jedi/third_party/typeshed" || die
+
+ # don't run doctests, don't depend on colorama
+ sed -i "s:'docopt',:: ; s:'colorama',::" setup.py || die
+ sed -i "s: --doctest-modules::" pytest.ini || die
+
+ # speed tests are fragile
+ rm test/test_speed.py || die
+
+ # test_complete_expanduser relies on $HOME not being empty
+ touch "${HOME}"/somefile || die
+
+ # TODO: investigate
+ sed -e 's:test_local_import:_&:' \
+ -i test/test_utils.py || die
+ sed -e '/with sqlite3\.connect/,+2d' \
+ -i test/completion/stdlib.py || die
+
+ # really silly assumptions, not fit for py3.8/3.9
+ sed -e '/len(difference)/s:20:27:' \
+ -i test/test_utils.py || die
+ # py3.9
+ sed -e 's:test_infer_on_generator:_&:' \
+ -i test/test_api/test_api.py || die
+
+ # tests relying on pristine virtualenv
+ # this relies on test* not matching anything else
+ sed -e "/#\? \['test'\]/,+1d" \
+ -i test/completion/on_import.py || die
+ # this one's broken by 'path' module (dev-python/path-py)
+ sed -e 's:test_os_issues:_&:' \
+ -i test/test_inference/test_imports.py || die
+ sed -e 's:test_venv_and_pths:_&:' \
+ -i test/test_inference/test_sys_path.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/jedi/jedi-0.17.1.ebuild b/dev-python/jedi/jedi-0.17.1.ebuild
new file mode 100644
index 000000000000..00e52e0a5408
--- /dev/null
+++ b/dev-python/jedi/jedi-0.17.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+TYPESHED_P="typeshed-jedi_v0.16.0"
+DJANGO_STUBS_P="django-stubs-v1.5.0"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="https://github.com/davidhalter/jedi"
+SRC_URI="
+ https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+ https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz
+ -> ${TYPESHED_P}.tar.gz
+ https://github.com/davidhalter/django-stubs/archive/${DJANGO_STUBS_P#django-stubs-}.tar.gz
+ -> ${DJANGO_STUBS_P/v/}.tar.gz"
+
+LICENSE="MIT
+ test? ( Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND=">=dev-python/parso-0.5.2[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # upstream includes these as submodules ...
+ rmdir "${S}"/jedi/third_party/{django-stubs,typeshed} || die
+ mv "${WORKDIR}/${DJANGO_STUBS_P/v/}" \
+ "${S}/jedi/third_party/django-stubs" || die
+ mv "${WORKDIR}/${TYPESHED_P}" \
+ "${S}/jedi/third_party/typeshed" || die
+
+ # don't run doctests, don't depend on colorama
+ sed -i "s:'docopt',:: ; s:'colorama',::" setup.py || die
+ sed -i "s: --doctest-modules::" pytest.ini || die
+
+ # speed tests are fragile
+ rm test/test_speed.py || die
+
+ # test_complete_expanduser relies on $HOME not being empty
+ touch "${HOME}"/somefile || die
+
+ # TODO: investigate
+ sed -e 's:test_local_import:_&:' \
+ -i test/test_utils.py || die
+ sed -e '/with sqlite3\.connect/,+2d' \
+ -i test/completion/stdlib.py || die
+ rm test/completion/django.py || die
+
+ # tests relying on pristine virtualenv
+ # this relies on test* not matching anything else
+ sed -e "/#\? \['test'\]/,+1d" \
+ -i test/completion/on_import.py || die
+ # this one's broken by 'path' module (dev-python/path-py)
+ sed -e 's:test_os_issues:_&:' \
+ -i test/test_inference/test_imports.py || die
+ sed -e 's:test_venv_and_pths:_&:' \
+ -i test/test_inference/test_sys_path.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/jedi/metadata.xml b/dev-python/jedi/metadata.xml
new file mode 100644
index 000000000000..7b15a3cfc9be
--- /dev/null
+++ b/dev-python/jedi/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">jedi</remote-id>
+ <remote-id type="github">davidhalter/jedi</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>